@import url("https://fonts.googleapis.com/css2?family=PT+Sans&display=swap");

body {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  background-color: #05003d;
  font-family: "PT Sans", sans-serif;
}

.cardBusquedaJuegos {
  background: var(--color-white);
}

.select-platforms,
.select-category {
  padding-left: 15px !important;
  padding-right: 15px !important;
}
.select-platforms *,
.select-category * {
  font-size: 0.9rem;
}
/*--=============================================
   =          galeria        =
==============================================-*/
.galeria {
  display: flex;
  flex-wrap: wrap;
  flex-direction: row;
  align-items: center;
  justify-content: center;
}

.galeria-item {
  position: relative;
  color: #fff;
  border-radius: 5px;
  border: none;
  cursor: pointer;
  overflow: hidden;
  display: flex;
  flex-direction: column;
  align-items: flex-end;
  margin: 5px;
}

.galeria-picture {
  /* width: 160px;
  height: 220px; */
  /* width: 145px;
  height: 200px; */
  width: 220px;
  height: 300px;
  transition: all 0.5s;
}

.galeria-item .content {
  width: 100%;
  height: 100%;
  position: absolute;
  bottom: 0;
  height: 40%;
  background: linear-gradient(transparent, 30%, #000);
  /* background: linear-gradient(1deg, transparent, 90%, #000000); */
  /* background: linear-gradient(0deg, #000000 20%, transparent); */
  /* background: linear-gradient(rgba(0, 0, 0, 0.2), #ff0000d7); */
  display: flex;
  flex-direction: column;
  justify-content: flex-end;
  padding: 5px;
}

.galeria-item .content h4 {
  font-size: 0.7em;
  font-weight: bold;
  color: white;
  /* -webkit-text-stroke-width: 0.5px;
  -webkit-text-stroke-color: black; */
}

.galeria-item .content h5 {
  font-size: 0.5em;
  margin: 0;
  padding: 0;
}

.galeria-item .content .name {
  font-size: 28px;
  font-weight: 700;
}

.galeria-item .content .short-desc {
  font-size: 10px;
  margin-bottom: 10px;
  line-height: 1.1;
  display: flex;
  align-items: flex-end;
  flex-wrap: wrap;
  opacity: 0;
}

.galeria-item .content .footer a {
  font-size: 15px;
  color: #fff;
  margin-left: 3px;
}

.galeria-item .content .footer a i {
  transition: all 0.5s;
}

.galeria-item .content .footer a:hover i {
  transform: translateY(-2px);
}

.galeria-item:hover img {
  transform: scale(1.05);
}

.galeria-item:hover .content {
  opacity: 1;
}

.galeria-item:hover .short-desc {
  opacity: 1;
}

.badge {
  font-size: 10px;
  margin: 0.5px 2px;
}

.badge-red {
  color: #ffffff;
  background-color: #dc0000;
}

.badge-blue {
  color: #ffffff;
  background-color: #0303dc;
}

.badge-green {
  color: #ffffff;
  background-color: #00ac00;
}

.badge-purple {
  color: #ffffff;
  background-color: #5200c6;
}

.badge-yellow {
  color: #ffffff;
  background-color: #e9b600;
}

.badge-brown {
  color: #ffffff;
  background-color: #763b00;
}

.badge-default {
  color: #ffffff;
  background-color: #a8a8a8;
}

#loader {
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  z-index: 9999;
  background-color: rgba(255, 255, 255, 0.7); /* Fondo semitransparente */
  display: flex;
  justify-content: center;
  align-items: center;
}
